### Hierarchy

- unknown
  - DisputeResult

## Index

### Constructors

- constructor

### Methods

- clearChatMessage
- getArbitratorPubKey
- getArbitratorPubKey_asB64
- getArbitratorPubKey_asU8
- getArbitratorSignature
- getArbitratorSignature_asB64
- getArbitratorSignature_asU8
- getBuyerPayoutAmount
- getChatMessage
- getCloseDate
- getIdVerification
- getIsLoserPublisher
- getReasonOrdinal
- getScreenCast
- getSellerPayoutAmount
- getSummaryNotes
- getTamperProofEvidence
- getTradeId
- getTraderId
- getWinner
- hasChatMessage
- serializeBinary
- setArbitratorPubKey
- setArbitratorSignature
- setBuyerPayoutAmount
- setChatMessage
- setCloseDate
- setIdVerification
- setIsLoserPublisher
- setReasonOrdinal
- setScreenCast
- setSellerPayoutAmount
- setSummaryNotes
- setTamperProofEvidence
- setTradeId
- setTraderId
- setWinner
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DisputeResult(): DisputeResult

- Inherited from jspb.Message.constructor

  #### Returns DisputeResult

## Methods

### clearChatMessage

- clearChatMessage(): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3842

  #### Returns DisputeResult

### getArbitratorPubKey

- getArbitratorPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3855

  #### Returns string | Uint8Array

### getArbitratorPubKey_asB64

- getArbitratorPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3857

  #### Returns string

### getArbitratorPubKey_asU8

- getArbitratorPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3856

  #### Returns Uint8Array

### getArbitratorSignature

- getArbitratorSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3844

  #### Returns string | Uint8Array

### getArbitratorSignature_asB64

- getArbitratorSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3846

  #### Returns string

### getArbitratorSignature_asU8

- getArbitratorSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3845

  #### Returns Uint8Array

### getBuyerPayoutAmount

- getBuyerPayoutAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:3849

  #### Returns number

### getChatMessage

- getChatMessage(): undefined | ChatMessage

- - Defined in src/protobuf/pb_pb.d.ts:3839

  #### Returns undefined | ChatMessage

### getCloseDate

- getCloseDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:3860

  #### Returns number

### getIdVerification

- getIdVerification(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3830

  #### Returns boolean

### getIsLoserPublisher

- getIsLoserPublisher(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3863

  #### Returns boolean

### getReasonOrdinal

- getReasonOrdinal(): number

- - Defined in src/protobuf/pb_pb.d.ts:3824

  #### Returns number

### getScreenCast

- getScreenCast(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3833

  #### Returns boolean

### getSellerPayoutAmount

- getSellerPayoutAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:3852

  #### Returns number

### getSummaryNotes

- getSummaryNotes(): string

- - Defined in src/protobuf/pb_pb.d.ts:3836

  #### Returns string

### getTamperProofEvidence

- getTamperProofEvidence(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3827

  #### Returns boolean

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3815

  #### Returns string

### getTraderId

- getTraderId(): number

- - Defined in src/protobuf/pb_pb.d.ts:3818

  #### Returns number

### getWinner

- getWinner(): Winner

- - Defined in src/protobuf/pb_pb.d.ts:3821

  #### Returns Winner

### hasChatMessage

- hasChatMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3841

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3866

  #### Returns Uint8Array

### setArbitratorPubKey

- setArbitratorPubKey(value: string | Uint8Array): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3858

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DisputeResult

### setArbitratorSignature

- setArbitratorSignature(value: string | Uint8Array): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3847

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DisputeResult

### setBuyerPayoutAmount

- setBuyerPayoutAmount(value: number): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3850

  #### Parameters

  - ##### value: number

  #### Returns DisputeResult

### setChatMessage

- setChatMessage(value?: ChatMessage ): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3840

  #### Parameters

  - ##### Optional value: ChatMessage

  #### Returns DisputeResult

### setCloseDate

- setCloseDate(value: number): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3861

  #### Parameters

  - ##### value: number

  #### Returns DisputeResult

### setIdVerification

- setIdVerification(value: boolean): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3831

  #### Parameters

  - ##### value: boolean

  #### Returns DisputeResult

### setIsLoserPublisher

- setIsLoserPublisher(value: boolean): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3864

  #### Parameters

  - ##### value: boolean

  #### Returns DisputeResult

### setReasonOrdinal

- setReasonOrdinal(value: number): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3825

  #### Parameters

  - ##### value: number

  #### Returns DisputeResult

### setScreenCast

- setScreenCast(value: boolean): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3834

  #### Parameters

  - ##### value: boolean

  #### Returns DisputeResult

### setSellerPayoutAmount

- setSellerPayoutAmount(value: number): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3853

  #### Parameters

  - ##### value: number

  #### Returns DisputeResult

### setSummaryNotes

- setSummaryNotes(value: string): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3837

  #### Parameters

  - ##### value: string

  #### Returns DisputeResult

### setTamperProofEvidence

- setTamperProofEvidence(value: boolean): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3828

  #### Parameters

  - ##### value: boolean

  #### Returns DisputeResult

### setTradeId

- setTradeId(value: string): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3816

  #### Parameters

  - ##### value: string

  #### Returns DisputeResult

### setTraderId

- setTraderId(value: number): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3819

  #### Parameters

  - ##### value: number

  #### Returns DisputeResult

### setWinner

- setWinner(value: Winner ): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3822

  #### Parameters

  - ##### value: Winner

  #### Returns DisputeResult

### toObject

- toObject(includeInstance?: boolean): DisputeResult . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3867

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DisputeResult . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3870

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DisputeResult

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DisputeResult, reader: BinaryReader): DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:3871

  #### Parameters

  - ##### message: DisputeResult

  - ##### reader: BinaryReader

  #### Returns DisputeResult

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DisputeResult, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3869

  #### Parameters

  - ##### message: DisputeResult

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DisputeResult ): DisputeResult . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3868

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DisputeResult

  #### Returns DisputeResult . AsObject

Generated using TypeDoc